%global npm_name gateway
%global gateway_user moz-iot-gateway
%global debug_package %{nil}
%{?nodejs_find_provides_and_requires}

# don't require bundled modules
%global __requires_exclude_from ^%{_prefix}/lib/node_modules/gateway/.*$

Name:          mozilla-iot-gateway
Version:       0.8.1
Release:       2%{?dist}
Summary:       Mozilla's Web of Things gateway
License:       MPLv2.0 and ASL 2.0 AND BSD AND (BSD OR AFL 2.1) AND (BSD OR ASL 2.0 OR MIT) AND (BSD OR GPLv2) AND (BSD OR MIT) AND CC-BY 4.0 AND MPLv2.0 AND MIT AND Public Domain AND ISC AND LGPLv2.1+ AND (MIT AND BSD) AND (MIT AND CC-BY 3.0) AND (MIT AND zlib) AND (MIT OR ASL 2.0) AND (MIT OR GPLv2) AND (MIT OR GPLv3) AND Unlicense AND WTFPL AND (WTFPL OR MIT)
URL:           https://github.com/mozilla-iot/gateway
# Source was generated by running gateway-tarball.sh,
#   with gateway-unbundle.list in the same directory.
#   This downloads the release tarball from the github repo,
#   bundles all the nodejs libraries, then unbundles the binary
#   libraries (listed in gateway-unbundle.list).
Source0:       %{npm_name}-v%{version}.tar.gz
Source1:       gateway-tarball.sh
Source2:       gateway-unbundle.list
Source3:       mozilla-iot-gateway.service

# Do not run ldconfig in containers
#   Remove at next version update
# https://github.com/mozilla-iot/gateway/pull/1897
Patch0:        mozilla-iot-gateway-no-ldconfig-in-container.patch

ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
BuildRequires: nodejs-packaging
%if 0%{?fedora} >= 30
BuildRequires: systemd-rpm-macros
%else
BuildRequires: systemd
%endif
## Normal requires
Requires(pre): shadow-utils
%{?systemd_requires}
## Requires for live-building Add-Ons
Requires:      gcc
Requires:      python3-devel
## All the unbundled node modules - Required
Requires:      npm(bindings)
Requires:      npm(nan)
Requires:      npm(nanomsg)
Requires:      npm(sqlite3)
## All the bundled node modules  - Provides: bundled
Provides:      bundled(abab) = 2.0.0
Provides:      bundled(abbrev) = 1.1.1
Provides:      bundled(accepts) = 1.3.5
Provides:      bundled(acme) = 1.0.12
Provides:      bundled(acme-v2) = 1.0.7
Provides:      bundled(acme-v2) = 1.0.8
Provides:      bundled(acorn) = 5.7.1
Provides:      bundled(acorn) = 5.7.3
Provides:      bundled(acorn) = 6.0.2
Provides:      bundled(acorn) = 6.0.4
Provides:      bundled(acorn-dynamic-import) = 3.0.0
Provides:      bundled(acorn-globals) = 4.3.0
Provides:      bundled(acorn-jsx) = 5.0.0
Provides:      bundled(acorn-walk) = 6.1.0
Provides:      bundled(agent-base) = 4.2.1
Provides:      bundled(ajv) = 5.3.0
Provides:      bundled(ajv) = 5.5.2
Provides:      bundled(ajv) = 6.4.0
Provides:      bundled(ajv) = 6.5.1
Provides:      bundled(ajv) = 6.5.4
Provides:      bundled(ajv) = 6.6.2
Provides:      bundled(ajv-errors) = 1.0.0
Provides:      bundled(ajv-keywords) = 3.2.0
Provides:      bundled(amdefine) = 1.0.1
Provides:      bundled(ansi-escapes) = 3.0.0
Provides:      bundled(ansi-regex) = 2.1.1
Provides:      bundled(ansi-regex) = 3.0.0
Provides:      bundled(ansi-styles) = 2.2.1
Provides:      bundled(ansi-styles) = 3.2.0
Provides:      bundled(ansi-styles) = 3.2.1
Provides:      bundled(anymatch) = 1.3.0
Provides:      bundled(anymatch) = 2.0.0
Provides:      bundled(any-promise) = 1.3.0
Provides:      bundled(append-transform) = 0.4.0
Provides:      bundled(aproba) = 1.2.0
Provides:      bundled(archiver) = 2.1.1
Provides:      bundled(archiver) = 3.0.0
Provides:      bundled(archiver-utils) = 1.3.0
Provides:      bundled(archiver-utils) = 2.0.0
Provides:      bundled(are-we-there-yet) = 1.1.5
Provides:      bundled(argparse) = 1.0.9
Provides:      bundled(argv) = 0.0.2
Provides:      bundled(array-equal) = 1.0.0
Provides:      bundled(array-filter) = 0.0.1
Provides:      bundled(array-flatten) = 1.1.1
Provides:      bundled(array-from) = 2.1.1
Provides:      bundled(array-map) = 0.0.0
Provides:      bundled(array-reduce) = 0.0.0
Provides:      bundled(array-union) = 1.0.2
Provides:      bundled(array-uniq) = 1.0.3
Provides:      bundled(array-unique) = 0.2.1
Provides:      bundled(array-unique) = 0.3.2
Provides:      bundled(arr-diff) = 2.0.0
Provides:      bundled(arr-diff) = 4.0.0
Provides:      bundled(arr-flatten) = 1.0.3
Provides:      bundled(arr-flatten) = 1.1.0
Provides:      bundled(arrify) = 1.0.1
Provides:      bundled(arr-union) = 3.1.0
Provides:      bundled(asap) = 2.0.6
Provides:      bundled(asn1) = 0.2.3
Provides:      bundled(asn1js) = 1.2.12
Provides:      bundled(asn1.js) = 4.10.1
Provides:      bundled(asn1.js) = 5.0.1
Provides:      bundled(assert) = 1.4.1
Provides:      bundled(assertion-error) = 1.0.2
Provides:      bundled(assertion-error) = 1.1.0
Provides:      bundled(assert-plus) = 1.0.0
Provides:      bundled(assign-symbols) = 1.0.0
Provides:      bundled(astral-regex) = 1.0.0
Provides:      bundled(ast-types) = 0.9.6
Provides:      bundled(async) = 1.5.2
Provides:      bundled(async) = 2.5.0
Provides:      bundled(async) = 2.6.0
Provides:      bundled(async) = 2.6.1
Provides:      bundled(async-each) = 1.0.1
Provides:      bundled(asynckit) = 0.4.0
Provides:      bundled(async-limiter) = 1.0.0
Provides:      bundled(atob) = 1.1.3
Provides:      bundled(atob) = 2.1.1
Provides:      bundled(awesome-typescript-loader) = 5.2.1
Provides:      bundled(aws4) = 1.6.0
Provides:      bundled(aws4) = 1.8.0
Provides:      bundled(aws-sign2) = 0.7.0
Provides:      bundled(babel-code-frame) = 6.22.0
Provides:      bundled(babel-code-frame) = 6.26.0
Provides:      bundled(babel-core) = 6.25.0
Provides:      bundled(babel-eslint) = 10.0.1
Provides:      bundled(babel-generator) = 6.25.0
Provides:      bundled(@babel/generator) = 7.1.3
Provides:      bundled(babel-helper-builder-binary-assignment-operator-visitor) = 6.24.1
Provides:      bundled(babel-helper-call-delegate) = 6.24.1
Provides:      bundled(babel-helper-define-map) = 6.26.0
Provides:      bundled(babel-helper-explode-assignable-expression) = 6.24.1
Provides:      bundled(babel-helper-function-name) = 6.24.1
Provides:      bundled(@babel/helper-function-name) = 7.1.0
Provides:      bundled(babel-helper-get-function-arity) = 6.24.1
Provides:      bundled(@babel/helper-get-function-arity) = 7.0.0
Provides:      bundled(babel-helper-hoist-variables) = 6.24.1
Provides:      bundled(babel-helper-optimise-call-expression) = 6.24.1
Provides:      bundled(babel-helper-regex) = 6.26.0
Provides:      bundled(babel-helper-remap-async-to-generator) = 6.24.1
Provides:      bundled(babel-helper-replace-supers) = 6.24.1
Provides:      bundled(babel-helpers) = 6.24.1
Provides:      bundled(@babel/helper-split-export-declaration) = 7.0.0
Provides:      bundled(babel-jest) = 23.6.0
Provides:      bundled(babel-loader) = 8.0.0-beta.3
Provides:      bundled(babel-messages) = 6.23.0
Provides:      bundled(@babel/parser) = 7.1.3
Provides:      bundled(babel-plugin-check-es2015-constants) = 6.22.0
Provides:      bundled(babel-plugin-dynamic-import-node) = 1.2.0
Provides:      bundled(babel-plugin-istanbul) = 4.1.6
Provides:      bundled(babel-plugin-jest-hoist) = 23.2.0
Provides:      bundled(babel-plugin-syntax-async-functions) = 6.13.0
Provides:      bundled(babel-plugin-syntax-dynamic-import) = 6.18.0
Provides:      bundled(babel-plugin-syntax-exponentiation-operator) = 6.13.0
Provides:      bundled(babel-plugin-syntax-object-rest-spread) = 6.13.0
Provides:      bundled(babel-plugin-syntax-trailing-function-commas) = 6.22.0
Provides:      bundled(babel-plugin-transform-async-to-generator) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-arrow-functions) = 6.22.0
Provides:      bundled(babel-plugin-transform-es2015-block-scoped-functions) = 6.22.0
Provides:      bundled(babel-plugin-transform-es2015-block-scoping) = 6.26.0
Provides:      bundled(babel-plugin-transform-es2015-classes) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-computed-properties) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-destructuring) = 6.23.0
Provides:      bundled(babel-plugin-transform-es2015-duplicate-keys) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-for-of) = 6.23.0
Provides:      bundled(babel-plugin-transform-es2015-function-name) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-literals) = 6.22.0
Provides:      bundled(babel-plugin-transform-es2015-modules-amd) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-modules-commonjs) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-modules-commonjs) = 6.26.2
Provides:      bundled(babel-plugin-transform-es2015-modules-systemjs) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-modules-umd) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-object-super) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-parameters) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-shorthand-properties) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-spread) = 6.22.0
Provides:      bundled(babel-plugin-transform-es2015-sticky-regex) = 6.24.1
Provides:      bundled(babel-plugin-transform-es2015-template-literals) = 6.22.0
Provides:      bundled(babel-plugin-transform-es2015-typeof-symbol) = 6.23.0
Provides:      bundled(babel-plugin-transform-es2015-unicode-regex) = 6.24.1
Provides:      bundled(babel-plugin-transform-exponentiation-operator) = 6.24.1
Provides:      bundled(babel-plugin-transform-object-rest-spread) = 6.26.0
Provides:      bundled(babel-plugin-transform-regenerator) = 6.26.0
Provides:      bundled(babel-plugin-transform-strict-mode) = 6.24.1
Provides:      bundled(babel-preset-env) = 1.7.0
Provides:      bundled(babel-preset-jest) = 23.2.0
Provides:      bundled(babel-register) = 6.24.1
Provides:      bundled(babel-runtime) = 6.23.0
Provides:      bundled(babel-runtime) = 6.26.0
Provides:      bundled(babel-template) = 6.25.0
Provides:      bundled(babel-template) = 6.26.0
Provides:      bundled(@babel/template) = 7.1.2
Provides:      bundled(babel-traverse) = 6.25.0
Provides:      bundled(babel-traverse) = 6.26.0
Provides:      bundled(@babel/traverse) = 7.1.4
Provides:      bundled(babel-types) = 6.25.0
Provides:      bundled(babel-types) = 6.26.0
Provides:      bundled(@babel/types) = 7.1.3
Provides:      bundled(babylon) = 6.17.4
Provides:      bundled(babylon) = 6.18.0
Provides:      bundled(balanced-match) = 1.0.0
Provides:      bundled(base) = 0.11.2
Provides:      bundled(base64-js) = 1.3.0
Provides:      bundled(bcryptjs) = 2.4.3
Provides:      bundled(private) = 0.1.7
Provides:      bundled(private) = 0.1.8
Provides:      bundled(big.js) = 3.2.0
Provides:      bundled(binary-extensions) = 1.11.0
Provides:      bundled(bl) = 1.2.1
Provides:      bundled(bluebird) = 3.5.1
Provides:      bundled(bn.js) = 4.11.8
Provides:      bundled(body-parser) = 1.18.3
Provides:      bundled(boolbase) = 1.0.0
Provides:      bundled(boom) = 4.3.1
Provides:      bundled(boom) = 5.2.0
Provides:      bundled(boom) = 7.2.0
Provides:      bundled(brace-expansion) = 1.1.11
Provides:      bundled(braces) = 1.8.5
Provides:      bundled(braces) = 2.3.2
Provides:      bundled(brorand) = 1.1.0
Provides:      bundled(browserify-aes) = 1.2.0
Provides:      bundled(browserify-cipher) = 1.0.1
Provides:      bundled(browserify-des) = 1.0.1
Provides:      bundled(browserify-rsa) = 4.0.1
Provides:      bundled(browserify-sign) = 4.0.4
Provides:      bundled(browserify-zlib) = 0.2.0
Provides:      bundled(browser-process-hrtime) = 0.1.2
Provides:      bundled(browser-resolve) = 1.11.3
Provides:      bundled(browserslist) = 3.2.8
Provides:      bundled(bser) = 2.0.0
Provides:      bundled(bs-logger) = 0.2.5
Provides:      bundled(buffer) = 4.9.1
Provides:      bundled(buffer-alloc) = 1.2.0
Provides:      bundled(buffer-alloc-unsafe) = 1.1.0
Provides:      bundled(buffer-crc32) = 0.2.13
Provides:      bundled(buffer-equal-constant-time) = 1.0.1
Provides:      bundled(buffer-fill) = 1.0.0
Provides:      bundled(buffer-from) = 1.1.0
Provides:      bundled(buffer-from) = 1.1.1
Provides:      bundled(buffer-v6-polyfill) = 1.0.3
Provides:      bundled(buffer-xor) = 1.0.3
Provides:      bundled(builtin-modules) = 1.1.1
Provides:      bundled(builtin-status-codes) = 3.0.0
Provides:      bundled(busboy) = 0.2.14
Provides:      bundled(bytes) = 3.0.0
Provides:      bundled(cacache) = 10.0.4
Provides:      bundled(cache-base) = 1.0.1
Provides:      bundled(cache-loader) = 1.2.2
Provides:      bundled(caller-path) = 0.1.0
Provides:      bundled(callsites) = 0.2.0
Provides:      bundled(callsites) = 2.0.0
Provides:      bundled(camel-case) = 3.0.0
Provides:      bundled(camelcase) = 4.1.0
Provides:      bundled(caniuse-lite) = 1.0.30000846
Provides:      bundled(caseless) = 0.12.0
Provides:      bundled(certpem) = 1.0.1
Provides:      bundled(chai) = 4.1.2
Provides:      bundled(chai) = 4.2.0
Provides:      bundled(chai-http) = 3.0.0
Provides:      bundled(chalk) = 1.1.3
Provides:      bundled(chalk) = 2.3.0
Provides:      bundled(chalk) = 2.3.2
Provides:      bundled(chalk) = 2.4.1
Provides:      bundled(chardet) = 0.7.0
Provides:      bundled(charenc) = 0.0.2
Provides:      bundled(check-error) = 1.0.2
Provides:      bundled(chokidar) = 2.0.4
Provides:      bundled(chownr) = 1.0.1
Provides:      bundled(chrome-trace-event) = 1.0.0
Provides:      bundled(ci-info) = 1.0.0
Provides:      bundled(cipher-base) = 1.0.4
Provides:      bundled(circular-json) = 0.3.1
Provides:      bundled(class-utils) = 0.3.6
Provides:      bundled(clean-css) = 4.1.11
Provides:      bundled(clean-webpack-plugin) = 0.1.19
Provides:      bundled(cli-cursor) = 2.1.0
Provides:      bundled(cliui) = 4.0.0
Provides:      bundled(cli-width) = 2.1.0
Provides:      bundled(co) = 4.6.0
Provides:      bundled(codecov) = 3.1.0
Provides:      bundled(code-point-at) = 1.1.0
Provides:      bundled(collection-visit) = 1.0.0
Provides:      bundled(color) = 3.0.0
Provides:      bundled(color-convert) = 1.9.0
Provides:      bundled(color-convert) = 1.9.3
Provides:      bundled(color-name) = 1.1.2
Provides:      bundled(color-name) = 1.1.3
Provides:      bundled(colornames) = 1.1.1
Provides:      bundled(colors) = 1.3.2
Provides:      bundled(colorspace) = 1.1.1
Provides:      bundled(color-string) = 1.5.3
Provides:      bundled(combined-stream) = 1.0.6
Provides:      bundled(combined-stream) = 1.0.7
Provides:      bundled(commander) = 2.13.0
Provides:      bundled(commander) = 2.15.1
Provides:      bundled(commondir) = 1.0.1
Provides:      bundled(component-emitter) = 1.2.1
Provides:      bundled(compress-commons) = 1.2.2
Provides:      bundled(compressible) = 2.0.15
Provides:      bundled(compression) = 1.7.3
Provides:      bundled(concat-map) = 0.0.1
Provides:      bundled(concat-stream) = 1.6.2
Provides:      bundled(config) = 2.0.1
Provides:      bundled(console-browserify) = 1.1.0
Provides:      bundled(console-control-strings) = 1.1.0
Provides:      bundled(constants-browserify) = 1.0.0
Provides:      bundled(content-disposition) = 0.5.2
Provides:      bundled(content-type) = 1.0.4
Provides:      bundled(convert-source-map) = 1.5.0
Provides:      bundled(cookie) = 0.3.1
Provides:      bundled(cookiejar) = 2.0.6
Provides:      bundled(cookiejar) = 2.1.2
Provides:      bundled(cookie-signature) = 1.0.6
Provides:      bundled(copy-concurrently) = 1.0.5
Provides:      bundled(copy-descriptor) = 0.1.1
Provides:      bundled(copy-webpack-plugin) = 4.5.4
Provides:      bundled(core-js) = 2.3.0
Provides:      bundled(core-js) = 2.4.1
Provides:      bundled(core-util-is) = 1.0.2
Provides:      bundled(crc32-stream) = 2.0.0
Provides:      bundled(crc) = 3.5.0
Provides:      bundled(create-ecdh) = 4.0.3
Provides:      bundled(create-hash) = 1.2.0
Provides:      bundled(create-hmac) = 1.1.7
Provides:      bundled(cross-spawn) = 4.0.2
Provides:      bundled(cross-spawn) = 6.0.5
Provides:      bundled(crypt) = 0.0.2
Provides:      bundled(cryptiles) = 3.1.2
Provides:      bundled(crypto-browserify) = 3.12.0
Provides:      bundled(css) = 2.2.1
Provides:      bundled(cssesc) = 0.1.0
Provides:      bundled(css-loader) = 1.0.0
Provides:      bundled(cssom) = 0.3.2
Provides:      bundled(cssom) = 0.3.4
Provides:      bundled(css-parse) = 2.0.0
Provides:      bundled(css-select) = 1.2.0
Provides:      bundled(css-selector-tokenizer) = 0.7.0
Provides:      bundled(cssstyle) = 1.1.1
Provides:      bundled(css-value) = 0.0.1
Provides:      bundled(css-what) = 2.1.0
Provides:      bundled(cycle) = 1.0.3
Provides:      bundled(cyclist) = 0.2.2
Provides:      bundled(d) = 1.0.0
Provides:      bundled(dashdash) = 1.14.1
Provides:      bundled(data-urls) = 1.1.0
Provides:      bundled(date-fns) = 1.29.0
Provides:      bundled(date-now) = 0.1.4
Provides:      bundled(debug) = 2.2.0
Provides:      bundled(debug) = 2.6.9
Provides:      bundled(debug) = 3.1.0
Provides:      bundled(debug) = 4.1.0
Provides:      bundled(decamelize) = 1.2.0
Provides:      bundled(decamelize) = 2.0.0
Provides:      bundled(decode-uri-component) = 0.2.0
Provides:      bundled(deep) = 1.2.3
Provides:      bundled(deep-eql) = 3.0.1
Provides:      bundled(deep-equal) = 1.0.1
Provides:      bundled(deep-extend) = 0.6.0
Provides:      bundled(deep-is) = 0.1.3
Provides:      bundled(deepmerge) = 2.0.1
Provides:      bundled(default-require-extensions) = 1.0.0
Provides:      bundled(define-properties) = 1.1.2
Provides:      bundled(define-property) = 0.2.5
Provides:      bundled(define-property) = 1.0.0
Provides:      bundled(define-property) = 2.0.2
Provides:      bundled(del) = 2.2.2
Provides:      bundled(delayed-stream) = 1.0.0
Provides:      bundled(delegates) = 1.0.0
Provides:      bundled(depd) = 1.1.2
Provides:      bundled(des.js) = 1.0.0
Provides:      bundled(destroy) = 1.0.4
Provides:      bundled(detect-indent) = 4.0.0
Provides:      bundled(detect-libc) = 1.0.3
Provides:      bundled(detect-newline) = 2.1.0
Provides:      bundled(diagnostics) = 1.1.1
Provides:      bundled(dicer) = 0.2.5
Provides:      bundled(diff) = 3.2.0
Provides:      bundled(diff) = 3.5.0
Provides:      bundled(diffie-hellman) = 5.0.3
Provides:      bundled(dir-glob) = 2.0.0
Provides:      bundled(dnssd) = 0.4.1
Provides:      bundled(doctrine) = 2.1.0
Provides:      bundled(domain-browser) = 1.2.0
Provides:      bundled(dom-converter) = 0.1.4
Provides:      bundled(domelementtype) = 1.1.3
Provides:      bundled(domelementtype) = 1.3.0
Provides:      bundled(domexception) = 1.0.1
Provides:      bundled(domhandler) = 2.1.0
Provides:      bundled(domhandler) = 2.4.1
Provides:      bundled(dom-serializer) = 0.1.0
Provides:      bundled(domutils) = 1.1.6
Provides:      bundled(domutils) = 1.5.1
Provides:      bundled(domutils) = 1.6.2
Provides:      bundled(duplexer) = 0.1.1
Provides:      bundled(duplexify) = 3.6.0
Provides:      bundled(ecdsa-sig-formatter) = 1.0.10
Provides:      bundled(ee-first) = 1.1.1
Provides:      bundled(ejs) = 2.5.7
Provides:      bundled(electron-to-chromium) = 1.3.48
Provides:      bundled(elliptic) = 6.4.0
Provides:      bundled(emojis-list) = 2.1.0
Provides:      bundled(enabled) = 1.0.2
Provides:      bundled(encodeurl) = 1.0.2
Provides:      bundled(end-of-stream) = 1.4.1
Provides:      bundled(enhanced-resolve) = 4.0.0
Provides:      bundled(enhanced-resolve) = 4.1.0
Provides:      bundled(entities) = 1.1.1
Provides:      bundled(env-variable) = 0.0.5
Provides:      bundled(errno) = 0.1.7
Provides:      bundled(error-ex) = 1.3.1
Provides:      bundled(es5-ext) = 0.10.46
Provides:      bundled(es6-iterator) = 2.0.3
Provides:      bundled(es6-promise) = 3.0.2
Provides:      bundled(es6-promise) = 4.2.5
Provides:      bundled(es6-promisify) = 5.0.0
Provides:      bundled(es6-symbol) = 3.1.1
Provides:      bundled(es6-templates) = 0.2.3
Provides:      bundled(es-abstract) = 1.10.0
Provides:      bundled(es-abstract) = 1.11.0
Provides:      bundled(escape-html) = 1.0.3
Provides:      bundled(escape-string-regexp) = 1.0.5
Provides:      bundled(escodegen) = 1.11.0
Provides:      bundled(eslint) = 5.8.0
Provides:      bundled(eslint-plugin-html) = 4.0.6
Provides:      bundled(eslint-scope) = 3.7.1
Provides:      bundled(eslint-scope) = 4.0.0
Provides:      bundled(eslint-utils) = 1.3.1
Provides:      bundled(eslint-visitor-keys) = 1.0.0
Provides:      bundled(espree) = 4.1.0
Provides:      bundled(esprima) = 3.1.3
Provides:      bundled(esprima) = 4.0.0
Provides:      bundled(esquery) = 1.0.1
Provides:      bundled(esrecurse) = 4.2.1
Provides:      bundled(es-to-primitive) = 1.1.1
Provides:      bundled(estraverse) = 4.2.0
Provides:      bundled(esutils) = 2.0.2
Provides:      bundled(etag) = 1.8.1
Provides:      bundled(eventemitter3) = 3.1.0
Provides:      bundled(events) = 1.1.1
Provides:      bundled(event-stream) = 3.3.4
Provides:      bundled(event-to-promise) = 0.8.0
Provides:      bundled(evp_bytestokey) = 1.0.3
Provides:      bundled(execa) = 0.10.0
Provides:      bundled(execa) = 0.5.1
Provides:      bundled(exec-sh) = 0.2.0
Provides:      bundled(exit) = 0.1.2
Provides:      bundled(expand-brackets) = 0.1.5
Provides:      bundled(expand-brackets) = 2.1.4
Provides:      bundled(expand-range) = 1.8.2
Provides:      bundled(expect) = 23.6.0
Provides:      bundled(express) = 4.16.4
Provides:      bundled(express-fileupload) = 1.0.0
Provides:      bundled(express-handlebars) = 3.0.0
Provides:      bundled(express-promise-router) = 3.0.3
Provides:      bundled(express-ws) = 4.0.0
Provides:      bundled(extend) = 3.0.1
Provides:      bundled(extend) = 3.0.2
Provides:      bundled(extend-shallow) = 2.0.1
Provides:      bundled(extend-shallow) = 3.0.2
Provides:      bundled(external-editor) = 2.0.4
Provides:      bundled(external-editor) = 3.0.3
Provides:      bundled(extglob) = 0.3.2
Provides:      bundled(extglob) = 2.0.4
Provides:      bundled(extract-text-webpack-plugin) = 4.0.0-beta.0
Provides:      bundled(extsprintf) = 1.3.0
Provides:      bundled(extsprintf) = 1.4.0
Provides:      bundled(fast-deep-equal) = 1.1.0
Provides:      bundled(fast-deep-equal) = 2.0.1
Provides:      bundled(fast-json-stable-stringify) = 2.0.0
Provides:      bundled(fast-levenshtein) = 2.0.6
Provides:      bundled(fastparse) = 1.1.1
Provides:      bundled(fast-safe-stringify) = 2.0.6
Provides:      bundled(fb-watchman) = 2.0.0
Provides:      bundled(fd-slicer) = 1.0.1
Provides:      bundled(fecha) = 2.3.3
Provides:      bundled(figures) = 2.0.0
Provides:      bundled(file-entry-cache) = 2.0.0
Provides:      bundled(file-loader) = 2.0.0
Provides:      bundled(filename-regex) = 2.0.1
Provides:      bundled(fileset) = 2.0.3
Provides:      bundled(file-stream-rotator) = 0.4.1
Provides:      bundled(fill-range) = 2.2.3
Provides:      bundled(fill-range) = 4.0.0
Provides:      bundled(finalhandler) = 1.1.1
Provides:      bundled(find-cache-dir) = 1.0.0
Provides:      bundled(find-up) = 1.1.2
Provides:      bundled(find-up) = 2.1.0
Provides:      bundled(find-up) = 3.0.0
Provides:      bundled(flat-cache) = 1.2.2
Provides:      bundled(flush-write-stream) = 1.0.3
Provides:      bundled(follow-redirects) = 1.2.4
Provides:      bundled(follow-redirects) = 1.6.1
Provides:      bundled(foreach) = 2.0.5
Provides:      bundled(forever-agent) = 0.6.1
Provides:      bundled(for-in) = 1.0.2
Provides:      bundled(form-data) = 1.0.0-rc4
Provides:      bundled(form-data) = 2.3.2
Provides:      bundled(form-data) = 2.3.3
Provides:      bundled(formidable) = 1.2.1
Provides:      bundled(for-own) = 0.1.5
Provides:      bundled(forwarded) = 0.1.2
Provides:      bundled(fragment-cache) = 0.2.1
Provides:      bundled(fresh) = 0.5.2
Provides:      bundled(from) = 0.1.7
Provides:      bundled(from2) = 2.3.0
Provides:      bundled(fs-constants) = 1.0.0
Provides:      bundled(fs-minipass) = 1.2.5
Provides:      bundled(fs.realpath) = 1.0.0
Provides:      bundled(fs-symlink) = 1.2.1
Provides:      bundled(fs-write-stream-atomic) = 1.0.10
Provides:      bundled(functional-red-black-tree) = 1.0.1
Provides:      bundled(function-bind) = 1.1.1
Provides:      bundled(Gajus Kuizinas) = 5.1.0
Provides:      bundled(gateway-addon) = 0.4.0
Provides:      bundled(gauge) = 2.7.4
Provides:      bundled(gaze) = 1.1.2
Provides:      bundled(get-caller-file) = 1.0.2
Provides:      bundled(get-func-name) = 2.0.0
Provides:      bundled(getpass) = 0.1.7
Provides:      bundled(get-stream) = 2.3.1
Provides:      bundled(get-stream) = 3.0.0
Provides:      bundled(get-value) = 2.0.6
Provides:      bundled(glob) = 6.0.4
Provides:      bundled(glob) = 7.1.2
Provides:      bundled(global-modules-path) = 2.3.0
Provides:      bundled(globals) = 11.4.0
Provides:      bundled(globals) = 11.8.0
Provides:      bundled(globals) = 9.18.0
Provides:      bundled(glob-base) = 0.3.0
Provides:      bundled(globby) = 5.0.0
Provides:      bundled(globby) = 7.1.1
Provides:      bundled(glob-parent) = 2.0.0
Provides:      bundled(glob-parent) = 3.1.0
Provides:      bundled(globule) = 1.2.0
Provides:      bundled(graceful-fs) = 4.1.11
Provides:      bundled(grapheme-splitter) = 1.0.4
Provides:      bundled(greenlock) = 2.2.19
Provides:      bundled(growly) = 1.3.0
Provides:      bundled(handlebars) = 4.0.10
Provides:      bundled(handlebars) = 4.0.11
Provides:      bundled(handlebars) = 4.0.12
Provides:      bundled(har-schema) = 2.0.0
Provides:      bundled(har-validator) = 5.0.3
Provides:      bundled(has) = 1.0.1
Provides:      bundled(has-ansi) = 2.0.0
Provides:      bundled(has-flag) = 1.0.0
Provides:      bundled(has-flag) = 2.0.0
Provides:      bundled(has-flag) = 3.0.0
Provides:      bundled(hash-base) = 3.0.4
Provides:      bundled(hash.js) = 1.1.4
Provides:      bundled(has-symbols) = 1.0.0
Provides:      bundled(has-unicode) = 2.0.1
Provides:      bundled(has-value) = 0.3.1
Provides:      bundled(has-value) = 1.0.0
Provides:      bundled(has-values) = 0.1.4
Provides:      bundled(has-values) = 1.0.0
Provides:      bundled(hawk) = 6.0.2
Provides:      bundled(he) = 1.1.1
Provides:      bundled(highlightjs) = 9.12.0
Provides:      bundled(hmac-drbg) = 1.0.1
Provides:      bundled(hoek) = 4.2.0
Provides:      bundled(hoek) = 5.0.4
Provides:      bundled(home-or-tmp) = 2.0.0
Provides:      bundled(hosted-git-info) = 2.4.2
Provides:      bundled(html-encoding-sniffer) = 1.0.2
Provides:      bundled(html-loader) = 0.5.5
Provides:      bundled(html-minifier) = 3.5.12
Provides:      bundled(html-minifier) = 3.5.15
Provides:      bundled(htmlparser2) = 3.3.0
Provides:      bundled(htmlparser2) = 3.9.2
Provides:      bundled(html-webpack-plugin) = 3.2.0
Provides:      bundled(http_ece) = 1.0.5
Provides:      bundled(http-errors) = 1.6.3
Provides:      bundled(http-proxy) = 1.17.0
Provides:      bundled(https-browserify) = 1.0.0
Provides:      bundled(http-signature) = 1.2.0
Provides:      bundled(https-proxy-agent) = 2.2.1
Provides:      bundled(iconv-lite) = 0.4.13
Provides:      bundled(iconv-lite) = 0.4.18
Provides:      bundled(iconv-lite) = 0.4.23
Provides:      bundled(iconv-lite) = 0.4.24
Provides:      bundled(icss-replace-symbols) = 1.1.0
Provides:      bundled(icss-utils) = 2.1.0
Provides:      bundled(ieee754) = 1.1.12
Provides:      bundled(iferr) = 0.1.5
Provides:      bundled(ignore) = 3.3.7
Provides:      bundled(ignore) = 4.0.6
Provides:      bundled(ignore-walk) = 3.0.1
Provides:      bundled(immediate) = 3.0.6
Provides:      bundled(import-local) = 1.0.0
Provides:      bundled(import-local) = 2.0.0
Provides:      bundled(imurmurhash) = 0.1.4
Provides:      bundled(indexof) = 0.0.1
Provides:      bundled(inflight) = 1.0.6
Provides:      bundled(inherits) = 2.0.1
Provides:      bundled(inherits) = 2.0.3
Provides:      bundled(ini) = 1.3.5
Provides:      bundled(inquirer) = 3.3.0
Provides:      bundled(inquirer) = 6.2.0
Provides:      bundled(interpret) = 1.1.0
Provides:      bundled(invariant) = 2.2.2
Provides:      bundled(invariant) = 2.2.3
Provides:      bundled(invariant) = 2.2.4
Provides:      bundled(invert-kv) = 1.0.0
Provides:      bundled(invert-kv) = 2.0.0
Provides:      bundled(ipaddr.js) = 1.8.0
Provides:      bundled(ip-regex) = 1.0.3
Provides:      bundled(ip-regex) = 3.0.0
Provides:      bundled(is) = 3.2.1
Provides:      bundled(is-accessor-descriptor) = 0.1.6
Provides:      bundled(is-accessor-descriptor) = 1.0.0
Provides:      bundled(isarray) = 0.0.1
Provides:      bundled(isarray) = 1.0.0
Provides:      bundled(is-arrayish) = 0.2.1
Provides:      bundled(is-arrayish) = 0.3.2
Provides:      bundled(is-binary-path) = 1.0.1
Provides:      bundled(is-buffer) = 1.1.6
Provides:      bundled(is-builtin-module) = 1.0.0
Provides:      bundled(is-callable) = 1.1.3
Provides:      bundled(is-ci) = 1.0.10
Provides:      bundled(is-data-descriptor) = 0.1.4
Provides:      bundled(is-data-descriptor) = 1.0.0
Provides:      bundled(is-date-object) = 1.0.1
Provides:      bundled(is-descriptor) = 0.1.6
Provides:      bundled(is-descriptor) = 1.0.2
Provides:      bundled(is-dotfile) = 1.0.3
Provides:      bundled(isemail) = 3.0.0
Provides:      bundled(is-equal-shallow) = 0.1.3
Provides:      bundled(isexe) = 2.0.0
Provides:      bundled(is-extendable) = 0.1.1
Provides:      bundled(is-extendable) = 1.0.1
Provides:      bundled(is-extglob) = 1.0.0
Provides:      bundled(is-extglob) = 2.1.1
Provides:      bundled(is-finite) = 1.0.2
Provides:      bundled(is-fullwidth-code-point) = 1.0.0
Provides:      bundled(is-fullwidth-code-point) = 2.0.0
Provides:      bundled(is-generator-fn) = 1.0.0
Provides:      bundled(is-glob) = 2.0.1
Provides:      bundled(is-glob) = 3.1.0
Provides:      bundled(is-glob) = 4.0.0
Provides:      bundled(is-ip) = 1.0.0
Provides:      bundled(is-number) = 2.1.0
Provides:      bundled(is-number) = 3.0.0
Provides:      bundled(is-number) = 4.0.0
Provides:      bundled(isobject) = 2.1.0
Provides:      bundled(isobject) = 3.0.1
Provides:      bundled(is-odd) = 2.0.0
Provides:      bundled(is-path-cwd) = 1.0.0
Provides:      bundled(is-path-in-cwd) = 1.0.0
Provides:      bundled(is-path-inside) = 1.0.0
Provides:      bundled(is-plain-object) = 2.0.4
Provides:      bundled(is-posix-bracket) = 0.1.1
Provides:      bundled(is-primitive) = 2.0.0
Provides:      bundled(is-promise) = 2.1.0
Provides:      bundled(is-regex) = 1.0.4
Provides:      bundled(is-resolvable) = 1.1.0
Provides:      bundled(isstream) = 0.1.2
Provides:      bundled(is-stream) = 1.1.0
Provides:      bundled(is-symbol) = 1.0.1
Provides:      bundled(istanbul-api) = 1.3.7
Provides:      bundled(istanbul-lib-coverage) = 1.2.1
Provides:      bundled(istanbul-lib-hook) = 1.2.2
Provides:      bundled(istanbul-lib-instrument) = 1.10.2
Provides:      bundled(istanbul-lib-report) = 1.1.5
Provides:      bundled(istanbul-lib-source-maps) = 1.2.6
Provides:      bundled(istanbul-reports) = 1.5.1
Provides:      bundled(is-typedarray) = 1.0.0
Provides:      bundled(is-utf8) = 0.2.1
Provides:      bundled(is-windows) = 1.0.2
Provides:      bundled(tough-cookie) = 2.3.4
Provides:      bundled(tough-cookie) = 2.4.3
Provides:      bundled(tough-cookie) = 2.5.0
Provides:      bundled(jest) = 23.6.0
Provides:      bundled(jest-changed-files) = 23.4.2
Provides:      bundled(jest-cli) = 23.6.0
Provides:      bundled(jest-config) = 23.6.0
Provides:      bundled(jest-diff) = 23.6.0
Provides:      bundled(jest-docblock) = 23.2.0
Provides:      bundled(jest-each) = 23.6.0
Provides:      bundled(jest-environment-jsdom) = 23.4.0
Provides:      bundled(jest-environment-node) = 23.4.0
Provides:      bundled(jest-get-type) = 22.4.3
Provides:      bundled(jest-haste-map) = 23.6.0
Provides:      bundled(jest-jasmine2) = 23.6.0
Provides:      bundled(jest-leak-detector) = 23.6.0
Provides:      bundled(jest-matcher-utils) = 23.6.0
Provides:      bundled(jest-message-util) = 23.4.0
Provides:      bundled(jest-mock) = 23.2.0
Provides:      bundled(jest-regex-util) = 23.3.0
Provides:      bundled(jest-resolve) = 23.6.0
Provides:      bundled(jest-resolve-dependencies) = 23.6.0
Provides:      bundled(jest-runner) = 23.6.0
Provides:      bundled(jest-runtime) = 23.6.0
Provides:      bundled(jest-serializer) = 23.0.1
Provides:      bundled(jest-snapshot) = 23.6.0
Provides:      bundled(jest-util) = 23.4.0
Provides:      bundled(jest-validate) = 23.6.0
Provides:      bundled(jest-watcher) = 23.4.0
Provides:      bundled(jest-worker) = 23.2.0
Provides:      bundled(joi) = 13.7.0
Provides:      bundled(util) = 0.10.3
Provides:      bundled(util) = 0.10.4
Provides:      bundled(jschardet) = 1.4.2
Provides:      bundled(jsdom) = 11.12.0
Provides:      bundled(jsdom) = 13.1.0
Provides:      bundled(jsesc) = 0.5.0
Provides:      bundled(jsesc) = 1.3.0
Provides:      bundled(jsesc) = 2.5.1
Provides:      bundled(json5) = 0.5.1
Provides:      bundled(json5) = 1.0.1
Provides:      bundled(json5) = 2.1.0
Provides:      bundled(jsonfile) = 5.0.0
Provides:      bundled(jsonify) = 0.0.0
Provides:      bundled(json-parse-better-errors) = 1.0.2
Provides:      bundled(json-schema) = 0.2.3
Provides:      bundled(json-schema-traverse) = 0.3.1
Provides:      bundled(json-schema-traverse) = 0.4.1
Provides:      bundled(json-stable-stringify-without-jsonify) = 1.0.1
Provides:      bundled(json-stringify-safe) = 5.0.1
Provides:      bundled(jsonwebtoken) = 8.3.0
Provides:      bundled(jsprim) = 1.4.1
Provides:      bundled(js-tokens) = 3.0.1
Provides:      bundled(js-tokens) = 3.0.2
Provides:      bundled(js-yaml) = 3.12.0
Provides:      bundled(js-yaml) = 3.8.4
Provides:      bundled(jszip) = 3.1.5
Provides:      bundled(isarray) = 0.0.1
Provides:      bundled(just-extend) = 3.0.0
Provides:      bundled(jwa) = 1.1.6
Provides:      bundled(jws) = 3.1.5
Provides:      bundled(kind-of) = 3.2.2
Provides:      bundled(kind-of) = 4.0.0
Provides:      bundled(kind-of) = 5.1.0
Provides:      bundled(kind-of) = 6.0.2
Provides:      bundled(kleur) = 2.0.2
Provides:      bundled(kuler) = 1.0.1
Provides:      bundled(lazystream) = 1.0.0
Provides:      bundled(lcid) = 1.0.0
Provides:      bundled(lcid) = 2.0.0
Provides:      bundled(le-acme-core) = 2.1.3
Provides:      bundled(le-challenge-dns) = 2.3.2
Provides:      bundled(le-challenge-fs) = 2.0.8
Provides:      bundled(left-pad) = 1.3.0
Provides:      bundled(le-sni-auto) = 2.1.5
Provides:      bundled(le-store-certbot) = 2.1.2
Provides:      bundled(leven) = 2.1.0
Provides:      bundled(levn) = 0.3.0
Provides:      bundled(lie) = 3.1.1
Provides:      bundled(loader-runner) = 2.3.0
Provides:      bundled(loader-utils) = 0.2.17
Provides:      bundled(loader-utils) = 1.1.0
Provides:      bundled(load-json-file) = 1.1.0
Provides:      bundled(load-json-file) = 4.0.0
Provides:      bundled(locate-path) = 2.0.0
Provides:      bundled(locate-path) = 3.0.0
Provides:      bundled(lodash) = 4.17.10
Provides:      bundled(lodash) = 4.17.4
Provides:      bundled(lodash) = 4.17.5
Provides:      bundled(lodash.assign) = 4.2.0
Provides:      bundled(lodash.camelcase) = 4.3.0
Provides:      bundled(lodash.debounce) = 4.0.8
Provides:      bundled(lodash.defaults) = 4.2.0
Provides:      bundled(lodash.difference) = 4.5.0
Provides:      bundled(lodash.flatten) = 4.4.0
Provides:      bundled(lodash.flattendeep) = 4.4.0
Provides:      bundled(lodash.get) = 4.4.2
Provides:      bundled(lodash.includes) = 4.3.0
Provides:      bundled(lodash.isboolean) = 3.0.3
Provides:      bundled(lodash.isinteger) = 4.0.4
Provides:      bundled(lodash.isnumber) = 3.0.3
Provides:      bundled(lodash.isplainobject) = 4.0.6
Provides:      bundled(lodash.isstring) = 4.0.1
Provides:      bundled(lodash.once) = 4.1.1
Provides:      bundled(lodash.sortby) = 4.7.0
Provides:      bundled(lodash.toarray) = 4.4.0
Provides:      bundled(lodash.union) = 4.6.0
Provides:      bundled(logform) = 1.10.0
Provides:      bundled(loglevelnext) = 1.0.5
Provides:      bundled(log-symbols) = 2.2.0
Provides:      bundled(lolex) = 2.3.2
Provides:      bundled(lolex) = 3.0.0
Provides:      bundled(loose-envify) = 1.3.1
Provides:      bundled(lower-case) = 1.1.4
Provides:      bundled(lru-cache) = 4.1.1
Provides:      bundled(lru-cache) = 4.1.3
Provides:      bundled(make-dir) = 1.3.0
Provides:      bundled(makeerror) = 1.0.11
Provides:      bundled(make-error) = 1.3.5
Provides:      bundled(map-age-cleaner) = 0.1.2
Provides:      bundled(map-cache) = 0.2.2
Provides:      bundled(map-stream) = 0.1.0
Provides:      bundled(map-visit) = 1.0.0
Provides:      bundled(md5) = 2.2.1
Provides:      bundled(md5.js) = 1.3.4
Provides:      bundled(media-typer) = 0.3.0
Provides:      bundled(mem) = 1.1.0
Provides:      bundled(mem) = 4.0.0
Provides:      bundled(memory-fs) = 0.4.1
Provides:      bundled(memorystream) = 0.3.1
Provides:      bundled(merge) = 1.2.0
Provides:      bundled(merge-descriptors) = 1.0.1
Provides:      bundled(merge-stream) = 1.0.1
Provides:      bundled(methods) = 1.1.2
Provides:      bundled(micromatch) = 2.3.11
Provides:      bundled(micromatch) = 3.1.10
Provides:      bundled(miller-rabin) = 4.0.1
Provides:      bundled(mime-db) = 1.33.0
Provides:      bundled(mime-db) = 1.36.0
Provides:      bundled(mime-db) = 1.37.0
Provides:      bundled(mime-types) = 2.1.18
Provides:      bundled(mime-types) = 2.1.20
Provides:      bundled(mimic-fn) = 1.1.0
Provides:      bundled(mini-css-extract-plugin) = 0.4.4
Provides:      bundled(minimalistic-assert) = 1.0.1
Provides:      bundled(minimalistic-crypto-utils) = 1.0.1
Provides:      bundled(minimatch) = 3.0.4
Provides:      bundled(minimist) = 0.0.8
Provides:      bundled(minimist) = 1.2.0
Provides:      bundled(minipass) = 2.3.3
Provides:      bundled(minizlib) = 1.1.0
Provides:      bundled(mississippi) = 2.0.0
Provides:      bundled(mixin-deep) = 1.3.1
Provides:      bundled(mkdirp) = 0.5.1
Provides:      bundled(mkdirp-then) = 1.2.0
Provides:      bundled(moment) = 2.22.2
Provides:      bundled(move-concurrently) = 1.0.1
Provides:      bundled(ms) = 0.7.1
Provides:      bundled(ms) = 2.0.0
Provides:      bundled(ms) = 2.1.1
Provides:      bundled(mute-stream) = 0.0.7
Provides:      bundled(mz) = 2.7.0
Provides:      bundled(nanomatch) = 1.2.9
Provides:      bundled(natural-compare) = 1.4.0
Provides:      bundled(ncname) = 1.0.0
Provides:      bundled(ncp) = 2.0.0
Provides:      bundled(needle) = 2.2.1
Provides:      bundled(needle) = 2.2.4
Provides:      bundled(negotiator) = 0.6.1
Provides:      bundled(neo-async) = 2.5.1
Provides:      bundled(next-tick) = 1.0.0
Provides:      bundled(nice-try) = 1.0.4
Provides:      bundled(nise) = 1.4.6
Provides:      bundled(nocache) = 2.0.0
Provides:      bundled(no-case) = 2.3.2
Provides:      bundled(nock) = 10.0.1
Provides:      bundled(node.extend) = 1.1.6
Provides:      bundled(node-fetch) = 2.2.0
Provides:      bundled(node-forge) = 0.6.49
Provides:      bundled(node-getopt) = 0.3.2
Provides:      bundled(node-int64) = 0.4.0
Provides:      bundled(node-libs-browser) = 2.1.0
Provides:      bundled(node-notifier) = 5.3.0
Provides:      bundled(node-pre-gyp) = 0.10.3
Provides:      bundled(node-pre-gyp) = 0.9.0
Provides:      bundled(node-rest-client) = 3.1.0
Provides:      bundled(nopt) = 4.0.1
Provides:      bundled(normalize-package-data) = 2.3.8
Provides:      bundled(normalize-path) = 2.1.1
Provides:      bundled(normalize-path) = 3.0.0
Provides:      bundled(npm-bundled) = 1.0.3
Provides:      bundled(npm-install-package) = 2.1.0
Provides:      bundled(npmlog) = 4.1.2
Provides:      bundled(npm-packlist) = 1.1.10
Provides:      bundled(npm-run-all) = 4.1.3
Provides:      bundled(npm-run-path) = 2.0.2
Provides:      bundled(nth-check) = 1.0.1
Provides:      bundled(number-is-nan) = 1.0.1
Provides:      bundled(nw-pre-gyp-module-test) = 0.0.1
Provides:      bundled(nwsapi) = 2.0.9
Provides:      bundled(oauth-sign) = 0.8.2
Provides:      bundled(oauth-sign) = 0.9.0
Provides:      bundled(object.assign) = 4.1.0
Provides:      bundled(object-assign) = 4.1.1
Provides:      bundled(object-copy) = 0.1.0
Provides:      bundled(object.getownpropertydescriptors) = 2.0.3
Provides:      bundled(object-hash) = 1.3.0
Provides:      bundled(object-keys) = 1.0.11
Provides:      bundled(object-keys) = 1.0.12
Provides:      bundled(object.omit) = 2.0.1
Provides:      bundled(object.pick) = 1.3.0
Provides:      bundled(object-visit) = 1.0.1
Provides:      bundled(once) = 1.4.0
Provides:      bundled(one-time) = 0.0.4
Provides:      bundled(onetime) = 2.0.1
Provides:      bundled(on-finished) = 2.3.0
Provides:      bundled(on-headers) = 1.0.1
Provides:      bundled(optimist) = 0.6.1
Provides:      bundled(optionator) = 0.8.2
Provides:      bundled(os-browserify) = 0.3.0
Provides:      bundled(osenv) = 0.1.5
Provides:      bundled(os-homedir) = 1.0.2
Provides:      bundled(os-locale) = 2.0.0
Provides:      bundled(os-locale) = 3.0.1
Provides:      bundled(os-tmpdir) = 1.0.2
Provides:      bundled(page) = 1.11.0
Provides:      bundled(pako) = 1.0.6
Provides:      bundled(parallel-transform) = 1.1.0
Provides:      bundled(param-case) = 2.1.1
Provides:      bundled(parse5) = 4.0.0
Provides:      bundled(parse5) = 5.1.0
Provides:      bundled(parse-asn1) = 5.1.1
Provides:      bundled(parse-glob) = 3.0.4
Provides:      bundled(parse-json) = 2.2.0
Provides:      bundled(parse-json) = 4.0.0
Provides:      bundled(parseurl) = 1.3.2
Provides:      bundled(pascalcase) = 0.1.1
Provides:      bundled(path-browserify) = 0.0.0
Provides:      bundled(path-dirname) = 1.0.2
Provides:      bundled(path-exists) = 2.1.0
Provides:      bundled(path-exists) = 3.0.0
Provides:      bundled(path-is-absolute) = 1.0.1
Provides:      bundled(path-is-inside) = 1.0.2
Provides:      bundled(path-key) = 2.0.1
Provides:      bundled(path-parse) = 1.0.5
Provides:      bundled(path-to-regexp) = 0.1.7
Provides:      bundled(path-to-regexp) = 1.2.1
Provides:      bundled(path-to-regexp) = 1.7.0
Provides:      bundled(path-type) = 1.1.0
Provides:      bundled(path-type) = 3.0.0
Provides:      bundled(pathval) = 1.1.0
Provides:      bundled(pause-stream) = 0.0.11
Provides:      bundled(pbkdf2) = 3.0.16
Provides:      bundled(p-defer) = 1.0.0
Provides:      bundled(pend) = 1.2.0
Provides:      bundled(performance-now) = 2.1.0
Provides:      bundled(p-finally) = 1.0.0
Provides:      bundled(pify) = 2.3.0
Provides:      bundled(pify) = 3.0.0
Provides:      bundled(pinkie) = 2.0.4
Provides:      bundled(pinkie-promise) = 2.0.1
Provides:      bundled(p-is-promise) = 1.1.0
Provides:      bundled(pixelmatch) = 4.0.2
Provides:      bundled(pkg-dir) = 2.0.0
Provides:      bundled(pkg-dir) = 3.0.0
Provides:      bundled(pkijs) = 1.3.33
Provides:      bundled(p-limit) = 1.2.0
Provides:      bundled(p-limit) = 1.3.0
Provides:      bundled(p-limit) = 2.0.0
Provides:      bundled(p-locate) = 2.0.0
Provides:      bundled(p-locate) = 3.0.0
Provides:      bundled(pluralize) = 7.0.0
Provides:      bundled(pn) = 1.1.0
Provides:      bundled(pngjs) = 3.3.3
Provides:      bundled(posix-character-classes) = 0.1.1
Provides:      bundled(postcss) = 6.0.21
Provides:      bundled(postcss) = 6.0.23
Provides:      bundled(postcss-modules-extract-imports) = 1.2.0
Provides:      bundled(postcss-modules-local-by-default) = 1.2.0
Provides:      bundled(postcss-modules-scope) = 1.1.0
Provides:      bundled(postcss-modules-values) = 1.3.0
Provides:      bundled(postcss-value-parser) = 3.3.0
Provides:      bundled(prelude-ls) = 1.1.2
Provides:      bundled(preserve) = 0.2.0
Provides:      bundled(pretty-error) = 2.1.1
Provides:      bundled(pretty-format) = 23.6.0
Provides:      bundled(process) = 0.11.10
Provides:      bundled(process-nextick-args) = 1.0.7
Provides:      bundled(process-nextick-args) = 2.0.0
Provides:      bundled(progress) = 2.0.0
Provides:      bundled(promise) = 7.3.1
Provides:      bundled(promise-inflight) = 1.0.1
Provides:      bundled(promisepipe) = 3.0.0
Provides:      bundled(prompts) = 0.1.14
Provides:      bundled(propagate) = 1.0.0
Provides:      bundled(proxy-addr) = 2.0.4
Provides:      bundled(prr) = 1.0.1
Provides:      bundled(pseudomap) = 1.0.2
Provides:      bundled(psl) = 1.1.29
Provides:      bundled(psl) = 1.1.31
Provides:      bundled(ps-tree) = 1.1.0
Provides:      bundled(p-try) = 1.0.0
Provides:      bundled(p-try) = 2.0.0
Provides:      bundled(public-encrypt) = 4.0.2
Provides:      bundled(pump) = 2.0.1
Provides:      bundled(pumpify) = 1.5.1
Provides:      bundled(punycode) = 1.3.2
Provides:      bundled(punycode) = 1.4.1
Provides:      bundled(punycode) = 2.1.0
Provides:      bundled(punycode) = 2.1.1
Provides:      bundled(pyconf) = 1.1.5
Provides:      bundled(q) = 1.5.1
Provides:      bundled(qs) = 6.5.1
Provides:      bundled(qs) = 6.5.2
Provides:      bundled(querystring) = 0.2.0
Provides:      bundled(querystring-es3) = 0.2.1
Provides:      bundled(randomatic) = 1.1.7
Provides:      bundled(randombytes) = 2.0.6
Provides:      bundled(randomfill) = 1.0.4
Provides:      bundled(range-parser) = 1.2.0
Provides:      bundled(raw-body) = 2.3.3
Provides:      bundled(raw-loader) = 0.5.1
Provides:      bundled(rc) = 1.2.8
Provides:      bundled(readable-stream) = 1.0.34
Provides:      bundled(readable-stream) = 1.1.14
Provides:      bundled(readable-stream) = 2.0.6
Provides:      bundled(readable-stream) = 2.3.6
Provides:      bundled(readdirp) = 2.1.0
Provides:      bundled(read-pkg) = 1.1.0
Provides:      bundled(read-pkg) = 3.0.0
Provides:      bundled(read-pkg-up) = 1.0.1
Provides:      bundled(realpath-native) = 1.0.2
Provides:      bundled(recast) = 0.11.23
Provides:      bundled(regenerate) = 1.3.3
Provides:      bundled(regenerate) = 1.4.0
Provides:      bundled(regenerate-unicode-properties) = 6.0.0
Provides:      bundled(regenerator-runtime) = 0.10.5
Provides:      bundled(regenerator-runtime) = 0.11.1
Provides:      bundled(regenerator-transform) = 0.10.1
Provides:      bundled(regex-cache) = 0.4.3
Provides:      bundled(regex-not) = 1.0.2
Provides:      bundled(regexpp) = 2.0.1
Provides:      bundled(regexpu-core) = 1.0.0
Provides:      bundled(regexpu-core) = 2.0.0
Provides:      bundled(regexpu-core) = 4.1.5
Provides:      bundled(regjsgen) = 0.2.0
Provides:      bundled(regjsgen) = 0.4.0
Provides:      bundled(regjsparser) = 0.1.5
Provides:      bundled(regjsparser) = 0.3.0
Provides:      bundled(relateurl) = 0.2.7
Provides:      bundled(remove-trailing-separator) = 1.1.0
Provides:      bundled(renderkid) = 2.0.1
Provides:      bundled(repeat-element) = 1.1.2
Provides:      bundled(repeating) = 2.0.1
Provides:      bundled(repeat-string) = 1.6.1
Provides:      bundled(request) = 2.85.0
Provides:      bundled(request) = 2.86.0
Provides:      bundled(request) = 2.88.0
Provides:      bundled(request-promise-core) = 1.1.1
Provides:      bundled(request-promise-native) = 1.0.5
Provides:      bundled(require-directory) = 2.1.1
Provides:      bundled(require-main-filename) = 1.0.1
Provides:      bundled(requires-port) = 1.0.0
Provides:      bundled(require-uncached) = 1.0.3
Provides:      bundled(resolve) = 1.1.7
Provides:      bundled(resolve) = 1.7.1
Provides:      bundled(resolve-cwd) = 2.0.0
Provides:      bundled(resolve-from) = 1.0.1
Provides:      bundled(resolve-from) = 3.0.0
Provides:      bundled(resolve-url) = 0.2.1
Provides:      bundled(restore-cursor) = 2.0.0
Provides:      bundled(ret) = 0.1.15
Provides:      bundled(rgb2hex) = 0.1.9
Provides:      bundled(rimraf) = 2.6.1
Provides:      bundled(rimraf) = 2.6.2
Provides:      bundled(ripemd160) = 2.0.2
Provides:      bundled(mime) = 1.4.1
Provides:      bundled(mime) = 1.6.0
Provides:      bundled(mime) = 2.2.0
Provides:      bundled(rsa-compat) = 1.3.2
Provides:      bundled(run-async) = 2.3.0
Provides:      bundled(run-queue) = 1.0.3
Provides:      bundled(rxjs) = 6.3.3
Provides:      bundled(rx-lite) = 4.0.8
Provides:      bundled(rx-lite-aggregates) = 4.0.8
Provides:      bundled(safe-buffer) = 5.1.2
Provides:      bundled(safer-buffer) = 2.1.2
Provides:      bundled(safe-regex) = 1.1.0
Provides:      bundled(safe-replace) = 1.0.2
Provides:      bundled(sane) = 2.2.0
Provides:      bundled(sax) = 1.2.4
Provides:      bundled(saxes) = 3.1.4
Provides:      bundled(schema-utils) = 0.4.5
Provides:      bundled(schema-utils) = 1.0.0
Provides:      bundled(selenium-standalone) = 6.15.3
Provides:      bundled(semver) = 5.3.0
Provides:      bundled(semver) = 5.5.0
Provides:      bundled(semver) = 5.6.0
Provides:      bundled(send) = 0.16.2
Provides:      bundled(serialize-javascript) = 1.5.0
Provides:      bundled(serve-static) = 1.13.2
Provides:      bundled(set-blocking) = 2.0.0
Provides:      bundled(setimmediate) = 1.0.5
Provides:      bundled(set-immediate-shim) = 1.0.1
Provides:      bundled(setprototypeof) = 1.1.0
Provides:      bundled(set-value) = 0.4.3
Provides:      bundled(set-value) = 2.0.0
Provides:      bundled(sha.js) = 2.4.11
Provides:      bundled(shaka-player) = 2.5.0-beta2
Provides:      bundled(shebang-command) = 1.2.0
Provides:      bundled(shebang-regex) = 1.0.0
Provides:      bundled(shell-quote) = 1.6.1
Provides:      bundled(shellwords) = 0.1.1
Provides:      bundled(signal-exit) = 3.0.2
Provides:      bundled(simple-oauth2) = 2.2.1
Provides:      bundled(simple-swizzle) = 0.2.2
Provides:      bundled(sinon) = 7.1.0
Provides:      bundled(sisteransi) = 0.1.1
Provides:      bundled(slash) = 1.0.0
Provides:      bundled(slice-ansi) = 1.0.0
Provides:      bundled(snapdragon) = 0.8.2
Provides:      bundled(snapdragon-node) = 2.1.1
Provides:      bundled(snapdragon-util) = 3.0.1
Provides:      bundled(sntp) = 2.1.0
Provides:      bundled(source-list-map) = 2.0.0
Provides:      bundled(source-map) = 0.1.43
Provides:      bundled(source-map) = 0.4.4
Provides:      bundled(source-map) = 0.5.6
Provides:      bundled(source-map) = 0.5.7
Provides:      bundled(source-map) = 0.6.1
Provides:      bundled(source-map-resolve) = 0.3.1
Provides:      bundled(source-map-resolve) = 0.5.2
Provides:      bundled(source-map-support) = 0.4.15
Provides:      bundled(source-map-support) = 0.5.3
Provides:      bundled(source-map-support) = 0.5.9
Provides:      bundled(source-map-url) = 0.3.0
Provides:      bundled(source-map-url) = 0.4.0
Provides:      bundled(spdx-correct) = 1.0.2
Provides:      bundled(spdx-expression-parse) = 1.0.4
Provides:      bundled(spdx-license-ids) = 1.2.2
Provides:      bundled(speaktome-api) = 0.2.1
Provides:      bundled(split) = 0.3.3
Provides:      bundled(split-string) = 3.1.0
Provides:      bundled(sprintf-js) = 1.0.3
Provides:      bundled(sshpk) = 1.14.1
Provides:      bundled(ssri) = 5.3.0
Provides:      bundled(stack-trace) = 0.0.10
Provides:      bundled(stack-utils) = 1.0.1
Provides:      bundled(static-extend) = 0.1.2
Provides:      bundled(statuses) = 1.4.0
Provides:      bundled(statuses) = 1.5.0
Provides:      bundled(stealthy-require) = 1.1.1
Provides:      bundled(stream-browserify) = 2.0.1
Provides:      bundled(stream-combiner) = 0.0.4
Provides:      bundled(stream-each) = 1.2.2
Provides:      bundled(stream-http) = 2.8.3
Provides:      bundled(streamifier) = 0.1.1
Provides:      bundled(streamsearch) = 0.1.2
Provides:      bundled(stream-shift) = 1.0.0
Provides:      bundled(string_decoder) = 0.10.31
Provides:      bundled(string_decoder) = 1.1.1
Provides:      bundled(string-format) = 2.0.0
Provides:      bundled(string-length) = 2.0.0
Provides:      bundled(string.prototype.padend) = 3.0.0
Provides:      bundled(stringstream) = 0.0.5
Provides:      bundled(string-width) = 1.0.2
Provides:      bundled(string-width) = 2.0.0
Provides:      bundled(string-width) = 2.1.1
Provides:      bundled(strip-ansi) = 3.0.1
Provides:      bundled(strip-ansi) = 4.0.0
Provides:      bundled(strip-bom) = 2.0.0
Provides:      bundled(strip-bom) = 3.0.0
Provides:      bundled(strip-eof) = 1.0.0
Provides:      bundled(strip-json-comments) = 2.0.1
Provides:      bundled(style-loader) = 0.23.1
Provides:      bundled(superagent) = 2.3.0
Provides:      bundled(supports-color) = 2.0.0
Provides:      bundled(supports-color) = 3.1.2
Provides:      bundled(supports-color) = 4.5.0
Provides:      bundled(supports-color) = 5.0.1
Provides:      bundled(supports-color) = 5.3.0
Provides:      bundled(supports-color) = 5.4.0
Provides:      bundled(supports-color) = 5.5.0
Provides:      bundled(symbol-tree) = 3.2.2
Provides:      bundled(tapable) = 1.0.0
Provides:      bundled(tapable) = 1.1.0
Provides:      bundled(tar) = 4.4.4
Provides:      bundled(tar) = 4.4.6
Provides:      bundled(tar-stream) = 1.5.5
Provides:      bundled(tar-stream) = 1.6.1
Provides:      bundled(test-exclude) = 4.2.3
Provides:      bundled(text-encoding) = 0.6.4
Provides:      bundled(text-hex) = 1.0.0
Provides:      bundled(text-table) = 0.2.0
Provides:      bundled(thenify) = 3.3.0
Provides:      bundled(thenify-all) = 1.6.0
Provides:      bundled(throat) = 4.1.0
Provides:      bundled(through2) = 2.0.3
Provides:      bundled(through) = 2.3.8
Provides:      bundled(timers-browserify) = 2.0.10
Provides:      bundled(tmp) = 0.0.31
Provides:      bundled(tmp) = 0.0.33
Provides:      bundled(tmpl) = 1.0.4
Provides:      bundled(to-arraybuffer) = 1.0.1
Provides:      bundled(to-buffer) = 1.1.1
Provides:      bundled(to-fast-properties) = 1.0.3
Provides:      bundled(to-fast-properties) = 2.0.0
Provides:      bundled(to-object-path) = 0.3.0
Provides:      bundled(topo) = 3.0.0
Provides:      bundled(toposort) = 1.0.6
Provides:      bundled(to-regex) = 3.0.2
Provides:      bundled(to-regex-range) = 2.1.1
Provides:      bundled(tr46) = 1.0.1
Provides:      bundled(trim-right) = 1.0.1
Provides:      bundled(triple-beam) = 1.3.0
Provides:      bundled(ts-jest) = 23.10.4
Provides:      bundled(tslib) = 1.9.2
Provides:      bundled(tty-browserify) = 0.0.0
Provides:      bundled(tunnel-agent) = 0.6.0
Provides:      bundled(type-check) = 0.3.2
Provides:      bundled(typedarray) = 0.0.6
Provides:      bundled(type-detect) = 4.0.3
Provides:      bundled(type-detect) = type-detect
Provides:      bundled(type-is) = 1.6.16
Provides:      bundled(typescript) = 2.9.2
Provides:      bundled(uglify-es) = 3.3.9
Provides:      bundled(uglify-js) = 3.3.16
Provides:      bundled(uglifyjs-webpack-plugin) = 1.2.6
Provides:      bundled(unicode-canonical-property-names-ecmascript) = 1.0.3
Provides:      bundled(unicode-match-property-ecmascript) = 1.0.3
Provides:      bundled(unicode-match-property-value-ecmascript) = 1.0.1
Provides:      bundled(unicode-property-aliases-ecmascript) = 1.0.3
Provides:      bundled(union-value) = 1.0.0
Provides:      bundled(unique-filename) = 1.1.0
Provides:      bundled(unique-slug) = 2.0.0
Provides:      bundled(universalify) = 0.1.2
Provides:      bundled(unpipe) = 1.0.0
Provides:      bundled(unset-value) = 1.0.0
Provides:      bundled(upath) = 1.1.0
Provides:      bundled(upper-case) = 1.1.3
Provides:      bundled(urijs) = 1.19.1
Provides:      bundled(uri-js) = 3.0.2
Provides:      bundled(uri-js) = 4.2.2
Provides:      bundled(urix) = 0.1.0
Provides:      bundled(url) = 0.11.0
Provides:      bundled(urlgrey) = 0.4.4
Provides:      bundled(url-loader) = 1.1.2
Provides:      bundled(urlsafe-base64) = 1.0.0
Provides:      bundled(use) = 3.1.0
Provides:      bundled(utila) = 0.3.3
Provides:      bundled(utila) = 0.4.0
Provides:      bundled(util-deprecate) = 1.0.2
Provides:      bundled(util.promisify) = 1.0.0
Provides:      bundled(utils-merge) = 1.0.1
Provides:      bundled(uuid) = 3.1.0
Provides:      bundled(uuid) = 3.3.2
Provides:      bundled(v8-compile-cache) = 2.0.2
Provides:      bundled(validate-npm-package-license) = 3.0.1
Provides:      bundled(vary) = 1.1.2
Provides:      bundled(verror) = 1.10.0
Provides:      bundled(vm-browserify) = 0.0.4
Provides:      bundled(w3c-hr-time) = 1.0.1
Provides:      bundled(w3c-xmlserializer) = 1.0.1
Provides:      bundled(walker) = 1.0.7
Provides:      bundled(watch) = 0.18.0
Provides:      bundled(watchpack) = 1.6.0
Provides:      bundled(wdio-dot-reporter) = 0.0.9
Provides:      bundled(webdriverio) = 4.14.0
Provides:      bundled(webidl-conversions) = 4.0.2
Provides:      bundled(webpack) = 4.23.1
Provides:      bundled(webpack-cli) = 3.1.2
Provides:      bundled(webpack-log) = 1.2.0
Provides:      bundled(webpack-sources) = 1.1.0
Provides:      bundled(webpack-sources) = 1.3.0
Provides:      bundled(web-push) = 3.3.3
Provides:      bundled(wgxpath) = 1.0.0
Provides:      bundled(whatwg-encoding) = 1.0.1
Provides:      bundled(whatwg-encoding) = 1.0.5
Provides:      bundled(whatwg-mimetype) = 2.2.0
Provides:      bundled(whatwg-mimetype) = 2.3.0
Provides:      bundled(whatwg-url) = 6.5.0
Provides:      bundled(whatwg-url) = 7.0.0
Provides:      bundled(which) = 1.2.14
Provides:      bundled(which) = 1.3.0
Provides:      bundled(which-module) = 2.0.0
Provides:      bundled(wide-align) = 1.1.3
Provides:      bundled(winston) = 3.1.0
Provides:      bundled(winston-compat) = 0.1.4
Provides:      bundled(winston-daily-rotate-file) = 3.3.5
Provides:      bundled(winston-transport) = 4.2.0
Provides:      bundled(wordwrap) = 0.0.3
Provides:      bundled(wordwrap) = 1.0.0
Provides:      bundled(worker-farm) = 1.6.0
Provides:      bundled(wrap-ansi) = 2.1.0
Provides:      bundled(wrappy) = 1.0.2
Provides:      bundled(wreck) = 14.1.0
Provides:      bundled(write) = 0.2.1
Provides:      bundled(write-file-atomic) = 2.3.0
Provides:      bundled(ws) = 5.2.0
Provides:      bundled(ws) = 6.1.0
Provides:      bundled(ws) = 6.1.2
Provides:      bundled(xml2js) = 0.4.17
Provides:      bundled(xmlbuilder) = 4.2.1
Provides:      bundled(xml-char-classes) = 1.0.0
Provides:      bundled(xmlchars) = 1.3.1
Provides:      bundled(xml-name-validator) = 3.0.0
Provides:      bundled(xregexp) = 4.0.0
Provides:      bundled(xtend) = 4.0.1
Provides:      bundled(y18n) = 3.2.1
Provides:      bundled(y18n) = 4.0.0
Provides:      bundled(yallist) = 2.1.2
Provides:      bundled(yallist) = 3.0.2
Provides:      bundled(yargs) = 11.1.0
Provides:      bundled(yargs) = 12.0.2
Provides:      bundled(yargs-parser) = 10.1.0
Provides:      bundled(yargs-parser) = 9.0.2
Provides:      bundled(yauzl) = 2.9.1
Provides:      bundled(zip-stream) = 1.2.0
Provides:      bundled(zip-stream) = 2.0.1


%description
Web of Things gateway

Example firewall setup (as root):
firewall-cmd --add-port=4443/tcp --permanent
firewall-cmd --add-port=8080/tcp --permanent
firewall-cmd --add-port=5353/udp --permanent
firewall-cmd --reload

See README.md for configuration options


%prep
%autosetup -n %{npm_name}-%{version}

#Fixup bad shebangs
sed -i "s|/usr/bin/python$|/usr/bin/python3|" pagekite.py
sed -i "s|/usr/bin/env python$|/usr/bin/python3|" $(grep -rl "/usr/bin/env python$" *)

# Cleanup hidden files, backup files, permissions
find . -type f -name '.*' -delete
find . -name '*~' -delete
find . -name '*.tgz' -delete
rm -rf $(find . -type d -name '.[a-z]*' | grep -v .bin)
rm -f $(find . -size 0 | grep -e package-lock -e core-js -e awesome -e lint.log -e output$)
find . -name '*sh' ! -executable -exec chmod ugo+x {} \;
find . -name '*sh' ! -executable -exec chmod ugo+x {} \;
find . -name package.json -executable -exec chmod 644 {} \;
chmod ugo+x $(grep -lr '#!/usr/bin/env node' * | grep -v -i readme)

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr build config global.d.ts node_modules \
    package.json pagekite.py run-app.sh src static tools \
    %{buildroot}%{nodejs_sitelib}/%{npm_name}

# Install systemd service file
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/

%pre
getent group %{gateway_user} >/dev/null || \
    groupadd -r %{gateway_user}
getent passwd %{gateway_user} >/dev/null || \
    useradd -r -m -g %{gateway_user} -s /sbin/nologin \
		-d /var/lib/%{gateway_user} \
    -c "user that runs mozilla-iot-gateway" %{gateway_user}
getent group dialout | grep -q %{gateway_user} || \
    usermod -aG dialout%{gateway_user}
exit 0

%post
%systemd_post mozilla-iot-gateway.service

%preun
%systemd_preun mozilla-iot-gateway.service

%postun
%systemd_postun_with_restart mozilla-iot-gateway.service

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}
%{_unitdir}/mozilla-iot-gateway.service

%changelog
* Wed Jun 05 2019 Troy Dawson <tdawson@redhat.com> - 0.8.1-2
- Change home directory location for moz-iot-gateway user
- Add patch to not run ldconfig in container

* Wed Apr 24 2019 Troy Dawson <tdawson@redhat.com> - 0.8.1-1
- Update to version 0.8.1

* Wed Mar 06 2019 Troy Dawson <tdawson@redhat.com> - 0.7.0-2
- Cleanup hidden files, backup files, permissions
- Cleanup some empty files, but not all

* Fri Feb 01 2019 Troy Dawson <tdawson@redhat.com> - 0.7.0-1
- Initial build with 0.7.0
- Bundle nodejs dependencies
- Unbundle binary (arch dependant) modules, add Requires for these.
- Include licenses and Provides for bundled modules
- Create user to run service in pre
- Fix bad shebangs
